Bug 494262 - Network Manager Widget (kde-plasma-networkmanagement) cannot connect to wireless networks with WPA security
Network Manager Widget (kde-plasma-networkmanagement) cannot connect to wirel...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
: 505292 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 00:49 EDT by Hasan Ceylan
Modified: 2010-06-28 07:42 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 191951 None None None Never
KDE Software Compilation 195824 None None None Never

  None (edit)
Description Hasan Ceylan 2009-04-06 00:49:00 EDT
Description of problem:
Network Manager Widget cannot connect to wireless networks. 

Version-Release number of selected component (if applicable):

kde-plasma-networkmanagement-0.1-0.8.20090302svn.fc11.i586
kde-plasma-networkmanagement-openvpn-0.1-0.8.20090302svn.fc11.i586
kde-plasma-networkmanagement-vpnc-0.1-0.8.20090302svn.fc11.i586

kdepim-libs-4.2.2-2.fc11.i586
kdepimlibs-akonadi-4.2.2-2.fc11.i586
kdepim-4.2.2-2.fc11.i586
kdepimlibs-4.2.2-2.fc11.i586


How reproducible:
Everytime

Steps to Reproduce:
1. Have a wireless network with wireless security PSK 
2. Add NetworkManager Plasma widget to task bar which also disallows NetworkManager-Gnome applet
3. Try to connect to the wireless network
  
Actual results:
It cannot connect

Expected results:
My best guess is it tries to store the password in wallet but cannot do it. 
I tried to disable the wallet completely in KDE but neither this helped.
 
Additional info:
/var/log/messages output:
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) starting connection 'saww2'
Apr  6 07:46:22 ceylan NetworkManager: <info>  (wlan0): device state change: 3 -> 4          
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...  
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.     
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting... 
Apr  6 07:46:22 ceylan NetworkManager: <info>  (wlan0): device state change: 4 -> 5                           
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0/wireless): connection 'saww2' has security, and secrets exist.  No new secrets needed.
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: added 'ssid' value 'saww2'                                                                      
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: added 'scan_ssid' value '1'                                                                     
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'                                                                
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'                                                                   
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: added 'psk' value '<omitted>'                                                                   
Apr  6 07:46:22 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.                                            
Apr  6 07:46:22 ceylan NetworkManager: <info>  Config: set interface ap_scan to 1                                                                      
Apr  6 07:46:22 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected                                         
Apr  6 07:46:22 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:23 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating                                          
Apr  6 07:46:23 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> 4-way handshake                                   
Apr  6 07:46:23 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated                                    
Apr  6 07:46:23 ceylan kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready                                                                      
Apr  6 07:46:24 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                    
Apr  6 07:46:24 ceylan avahi-daemon[2165]: Registering new address record for fe80::21c:bfff:fe86:adbe on wlan0.*.                                     
Apr  6 07:46:27 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected                                  
Apr  6 07:46:27 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:28 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake                                      
Apr  6 07:46:28 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated                                    
Apr  6 07:46:29 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                    
Apr  6 07:46:32 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected                                  
Apr  6 07:46:32 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:33 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake                                      
Apr  6 07:46:33 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated                                    
Apr  6 07:46:34 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                    
Apr  6 07:46:37 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected                                  
Apr  6 07:46:37 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:37 ceylan NetworkManager: <info>  wlan0: link timed out.                                                                                  
Apr  6 07:46:38 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake                                      
Apr  6 07:46:38 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated                                    
Apr  6 07:46:39 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                    
Apr  6 07:46:42 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected                                  
Apr  6 07:46:42 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:43 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake                                      
Apr  6 07:46:43 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated                                    
Apr  6 07:46:44 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                    
Apr  6 07:46:47 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected                                  
Apr  6 07:46:47 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:48 ceylan NetworkManager: <info>  Activation (wlan0/wireless): association took too long.                                                 
Apr  6 07:46:48 ceylan NetworkManager: <info>  (wlan0): device state change: 5 -> 6                                                                    
Apr  6 07:46:48 ceylan NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets                                                     
Apr  6 07:46:48 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected                                         
Apr  6 07:46:48 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> associated                                       
Apr  6 07:46:48 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> disconnected                                       
Apr  6 07:46:52 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning                                         
Apr  6 07:46:54 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected                                         
Apr  6 07:46:54 ceylan NetworkManager: <WARN>  update_one_setting(): Failed to update connection secrets: 1 802-1x                                     
Apr  6 07:46:54 ceylan NetworkManager: <WARN>  real_connection_secrets_updated(): Ignoring updated secrets for setting 'ipv4'.
Apr  6 07:46:54 ceylan NetworkManager: <WARN>  real_connection_secrets_updated(): Ignoring updated secrets for setting '802-11-wireless'.
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Apr  6 07:46:54 ceylan NetworkManager: <info>  (wlan0): device state change: 6 -> 4
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Apr  6 07:46:54 ceylan NetworkManager: <info>  (wlan0): device state change: 4 -> 5
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0/wireless): connection 'saww2' has security, and secrets exist.  No new secrets needed.
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: added 'ssid' value 'saww2'
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Apr  6 07:46:54 ceylan NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
Apr  6 07:46:54 ceylan NetworkManager: <info>  Config: set interface ap_scan to 1
Apr  6 07:46:54 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  6 07:46:55 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
Apr  6 07:46:55 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> 4-way handshake
Apr  6 07:46:55 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated
Apr  6 07:46:56 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  6 07:46:59 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
Apr  6 07:46:59 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  6 07:47:00 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake
Apr  6 07:47:00 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated
Apr  6 07:47:01 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  6 07:47:04 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
Apr  6 07:47:04 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  6 07:47:05 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake
Apr  6 07:47:05 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated
Apr  6 07:47:06 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  6 07:47:09 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
Apr  6 07:47:09 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  6 07:47:10 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake
Apr  6 07:47:10 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated
Apr  6 07:47:11 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Apr  6 07:47:14 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
Apr  6 07:47:14 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Apr  6 07:47:14 ceylan NetworkManager: <info>  wlan0: link timed out.
Apr  6 07:47:15 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> 4-way handshake
Apr  6 07:47:15 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> associated
Apr  6 07:47:16 ceylan NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
Comment 1 Kevin Kofler 2009-04-06 03:57:36 EDT
Unfortunately, the NM plasmoid just chokes on most forms of encryption at the moment. This is known. We aren't using it by default for a reason.

We should keep this bug report open to track the issue though.
Comment 2 Rex Dieter 2009-04-06 09:10:24 EDT
fwiw, wep works for me.  Haven't tried anything else myself.
Comment 3 Hasan Ceylan 2009-04-06 09:26:06 EDT
Thanks for the info Kevin
Thanks for the tip Rex.

Hasan
Comment 4 Ben Boeckel 2009-04-06 10:19:22 EDT
There hasn't been any upstream work that would fix encryption that I can see since the snapshot that's in the repos. There are some convenience fixes that I can see, but nothing as to actual behavior change with wireless. I should be able to spin a new snapshot this week.
Comment 5 Hasan Ceylan 2009-04-06 10:53:40 EDT
I appreciate your efforts a lot Ben.

Would it help to get involved directly with KDE (or vote at KDE Bugzilla)?

Hasan
Comment 8 Bug Zapper 2009-06-09 09:19:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Gerald Cox 2009-06-10 13:45:55 EDT
Problem exists in Fedora 11 distribution.  knetworkmanager (which worked in F10) has been replaced with this applet (which doesn't work).
Comment 10 Kevin Kofler 2009-06-10 14:46:50 EDT
I've successfully tested both WPA-PSK and WPA-EAP with the latest 2 snapshots in updates (and there's another one in testing now).

One caveat is that WPA-PSK needs the ASCII passphrase, the hex key didn't work for me.
Comment 11 Gerald Cox 2009-06-10 19:49:25 EDT
Thanks for the comment.  I just installed F11 and applied the latest maintenance.  I am supplying the ASCII passphrase - but notice I get continually asked for the passphrase.  Maybe this is a kdewallet integration issue?  Here is the current software levels:

NetworkManager-openvpn-0.7.0.99-1.fc11.x86_64
NetworkManager-glib-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-devel-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-pptp-0.7.0.99-1.fc11.x86_64
NetworkManager-glib-devel-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-vpnc-0.7.0.99-1.fc11.x86_64
NetworkManager-0.7.1-4.git20090414.fc11.x86_64
NetworkManager-gnome-0.7.1-4.git20090414.fc11.x86_64
kde-plasma-networkmanagement-0.1-0.11.20090504svn.fc11.x86_64

Gnome is working fine with NetworkManager so I know I'm entering the correct passphrase.
Comment 12 Gerald Cox 2009-06-17 20:57:58 EDT
*** Bug 505292 has been marked as a duplicate of this bug. ***
Comment 13 Malcolm Amir Hussain-Gambles 2009-06-21 06:49:44 EDT
WEP works fine, but wpa/wpa2 fails as described above.
(And works fine with nm-applet)

using this version it still fails:
kde-plasma-networkmanagement-0.1-0.12.20090519svn.fc11.x86_64

Apparently this plasma works fine with Kubuntu, so I would suspect that this is a specific fedora issue, or perhaps Kubuntu already has the necessary patches applied to it?
Comment 14 Kevin Kofler 2009-06-21 16:59:23 EDT
Some people (including me) have WPA working on F10, so I think this is just Kubuntu using older versions of some related software (NM? wpa_supplicant? kernel? something else? So far my downgrade attempts (NM and wpa_supplicant) have been shots in the dark).
Comment 15 Malcolm Amir Hussain-Gambles 2009-07-07 04:39:57 EDT
I think this is correct that the newer version of network-manager is not compatible with kde-plasma-networkmanagement as I even tried an svn checkout and build and had the same issues.

So effectively it's broken for the time being for wpa :-(
Comment 16 Kevin Kofler 2009-07-07 18:30:38 EDT
Let's start by recapitulating that my attempted scratch builds of old NetworkManager and wpa_supplicant seem not to fix this issue.

JKnife on #fedora-kde made a seemingly naive "shot in the dark" type remark which actually turned out to make sense. His question was: "could it be D-Bus?" Well, it turns out it can:
* F10 has dbus-1.2.4-2.fc10, a permissive version,
* F11 has dbus-1.2.12-1.fc11, a version with strict security policies,
* the strict security policies have been known to cause problems with the old KDE 3 knetworkmanager,
so it's pretty much plausible that D-Bus may be at fault here as well. (As for why I'm saing his remark was a shot in the dark: his next question was what could have possibly changed in D-Bus... ;-) )

Expect a scratch build for a permissive version of D-Bus for F11 to try out from me ASAP.
Comment 17 Kevin Kofler 2009-07-07 18:31:37 EDT
(I forgot to mention in my recapitulation that the exact same snapshot of kde-plasma-networkmanagement on the exact same hardware has been reported to work on F10 but not F11.)
Comment 18 Kevin Kofler 2009-07-07 18:56:11 EDT
dbus-1.2.4.6permissive-1 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1460536

Please try this, 1. checking whether it fixes it and 2. reporting any logged errors from D-Bus (/var/log/messages) (especially if it does fix it).
Comment 19 Kevin Kofler 2009-07-07 18:57:02 EDT
(You should do a full reboot after the downgrade to make sure the system bus and all session buses get restarted.)
Comment 20 Stefan Neufeind 2009-07-07 19:39:42 EDT
tried it, including reboot. Didn't make a difference for me. Not sure if if makes a difference that I try with a network that has hidden ESSID? Can connect with knetwormanager (kde3) just fine - same NetworkManager etc.


NetworkManager: <info>  Activation (wlan0/wireless): connection 'mytest' has security, and secrets exist.  No new secrets needed.
NetworkManager: <info>  Config: added 'ssid' value 'mytest'
NetworkManager: <info>  Config: added 'scan_ssid' value '1'
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'
NetworkManager: <info>  Config: added 'psk' value '<omitted>'
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Config: set interface ap_scan to 1
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> associated
kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associated
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associated
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associated
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> disconnected
NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
NetworkManager: <info>  wlan0: link timed out.
NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associated
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake
NetworkManager: <info>  Activation (wlan0/wireless): association took too long.


normal would have been:
NetworkManager: <info>  (wlan0): supplicant connection state:  associated -> 4-way handshake                                     
NetworkManager: <info>  (wlan0): supplicant connection state:  4-way handshake -> group handshake                                
NetworkManager: <info>  (wlan0): supplicant connection state:  group handshake -> completed
Comment 21 Kevin Kofler 2009-07-07 20:02:35 EDT
JKnife also reported that the D-Bus downgrade didn't help. So it's apparently not D-Bus either. So what is it? :-(
Comment 22 Stefan Neufeind 2009-07-07 20:20:59 EDT
what I found out so far is that on a non-working connection using the plasmoid I get:

NetworkManager: <info>  Config: added 'ssid' value 'mytest'                                                                   
NetworkManager: <info>  Config: added 'scan_ssid' value '1'                                                                      
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'                                                                 
NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'                                                                    
NetworkManager: <info>  Config: added 'psk' value '<omitted>'   


but with a working knetworkmanager (kde3) it logs:

NetworkManager: <info>  Config: added 'ssid' value 'mytest'                                                                   
NetworkManager: <info>  Config: added 'scan_ssid' value '1'                                                                      
NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'                                                                 
NetworkManager: <info>  Config: added 'psk' value '<omitted>'                                                                    
NetworkManager: <info>  Config: added 'pairwise' value 'TKIP CCMP'                                                               
NetworkManager: <info>  Config: added 'group' value 'TKIP CCMP'
Comment 23 roland 2009-09-07 12:16:51 EDT
is there any current development for fedora?

kde marks this to be closed:
https://bugs.kde.org/show_bug.cgi?id=195824
Comment 24 Kevin Kofler 2009-09-07 13:05:08 EDT
We have a new snapshot with a monolithic KDE 4 knetworkmanager and an experimental plasmoid (now split into plasmoid and kded4 service) in updates-testing now. It works for some people, but apparently not for others, see bug 521467.
Comment 25 linuxuser09 2009-09-24 20:35:28 EDT
kde-plasma-networkmanager doesn't allow me to connect to any wireless network,

Sep 24 01:02:53 NetworkManager: <WARN>  connection_get_settings_cb(): connection_get_settings_cb: Invalid connection: 'NMSettingConnection' / 'id' invalid: 1
Sep 24 01:02:59  NetworkManager: <WARN>  wait_for_connection_expired(): Connection (2) /org/freedesktop/NetworkManagerSettings/3 failed to activate (timeout): (0) Connection was not provided by any settings service

However nm-applet connects fine but with some difficuilty, I really wanted to use knetworkmanager since it work fine in fedora 10 and I'm sad it's not included in fedora 11.
Comment 26 Stefan Neufeind 2009-09-25 02:13:01 EDT
Then for the moment try installing the knetworkmanager from F10 (kde3). You might need to downgrade to an NetworkManager 0.7.x however ... Worked here for the moment.
Comment 27 Kevin Kofler 2009-09-25 07:55:30 EDT
There's also a KDE 4 knetworkmanager in updates-testing.
Comment 28 Stefan Neufeind 2009-09-25 08:04:30 EDT
but that one lacks features over the kde3-version. e.g. it doesn't connect to WPA2-networks for me. And it doesn't support hidden networks (no option to select where to connect - instead the KDE4-plasmoid has that option but doesn't connect etc.) :-(
Comment 29 Fedora Update System 2009-09-30 12:03:38 EDT
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11
Comment 30 Dan Williams 2009-10-29 13:12:54 EDT
Just an FYI; going from '4-way handshake' -> 'disconnected' status usually means the PSK is wrong.  Could be a problem with hashing the WPA PSK to the hex format in the plasmoid?  I'd try entering the passphrase in hex format if you can, you can get it from wpa_passphrase manually like so:

[dcbw@localhost ~]$ wpa_passphrase my_ssid
# reading passphrase from stdin
foobar37
<hit return after typing your passphrase>
network={
	ssid="my_ssid"
	#psk="foobar37"
	psk=dfc6955eb3626193b525cbd3aebd886f3a21afa1ea27901a9327f77a166b1ae1
}

then use all the hex digits there instead of your passphrase when setting up the network configuration.

This will test whether the hashing that the plasmoid uses is correct.  If you get connected using the hex PSK, then the hashing in the plasmoid is somehow buggy.
Comment 31 Kevin Kofler 2009-10-29 13:30:24 EDT
Except it won't work... The plasmoid doesn't accept hex PSKs.
https://bugs.kde.org/show_bug.cgi?id=191879
(That bug got fixed on July 26, but that's already the new, refactored codebase. What we ship is from 20090519.)
Comment 32 Dan Williams 2009-10-30 03:42:52 EDT
So we figured out this is likely a case of -O2 optimization during compile along with ignored strict aliasing warnings in the sha1.c code.  Fix should be forthcoming.

        } CHAR64LONG16;
        CHAR64LONG16* block;
 #ifdef SHA1HANDSOFF
-       u32 workspace[16];
+       unsigned char workspace[64];
        block = (CHAR64LONG16 *) workspace;
        memcpy(block, buffer, 64);
 #else
Comment 33 Fedora Update System 2009-11-11 09:59:48 EST
kde-plasma-networkmanagement-0.9-0.3.20090930svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Juha Tuomala 2009-12-18 11:51:03 EST
This system has: knetworkmanager-0.9-0.3.20090930svn.fc11.i586

I log in, try to connect wpa2 protected visible AP with password, it always fails.

Killing the knetworkmanager process and running command:

$ cnetworkmanager --wpa-pass=cafevstallinn -C "Cafe VS avalik"
Entering mainloop
(18:33:29) State: CONNECTING
(18:33:41) State: CONNECTED

and connection succeeds. ThinkPad x200s, 5100AGN wifi.
Comment 35 Bug Zapper 2010-04-27 09:31:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Juha Tuomala 2010-05-01 09:13:56 EDT
I think this has been fixed already, at least it works here.
Comment 37 Rex Dieter 2010-05-02 13:02:13 EDT
Juha, mind sharing what versions of NetworkManager and kde-plasma-networkmanagement you tested?
Comment 38 Juha Tuomala 2010-05-10 08:12:58 EDT
currently i've 0.9-0.12.20100220.fc11.i586 installed, haven't tried it recently so it might have been some earlier that started working.
Comment 39 Bug Zapper 2010-06-28 07:42:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.